Support » Plugin: WooCommerce » [3.0.1] Coupon Product selectors not working – Enhanced Select JS error

  • Resolved ipekarik

    (@ipekarik)


    There’s an error with Enhanced Select AJAX inputs in v3.0.1 of WooCommerce. Specifically on coupons, I can’t seem to select anything in the product restriction boxes. The console shows the following error

    Error: Option ‘ajax’ is not allowed for Select2 when attached to a <select> element.
    at String.<anonymous> (ultimate-woocomposer-backend.min.js:1)
    at Function.each (load-scripts.php:2)
    at d.prepareOpts (ultimate-woocomposer-backend.min.js:1)
    at d.prepareOpts (ultimate-woocomposer-backend.min.js:2)
    at d.init (ultimate-woocomposer-backend.min.js:1)
    at HTMLSelectElement.<anonymous> (ultimate-woocomposer-backend.min.js:2)
    at Function.each (load-scripts.php:2)
    at a.fn.init.each (load-scripts.php:2)
    at a.fn.init.a.fn.select2 (ultimate-woocomposer-backend.min.js:2)
    at HTMLSelectElement.<anonymous> (wc-enhanced-select.min.js:1)

Viewing 4 replies - 1 through 4 (of 4 total)
Viewing 4 replies - 1 through 4 (of 4 total)
  • The topic ‘[3.0.1] Coupon Product selectors not working – Enhanced Select JS error’ is closed to new replies.